Article ID: 5911, created on Dec 26, 2008, last review on Aug 12, 2014

  • Applies to:
  • Plesk 9.0 for Linux/Unix


After upgrade from Parallels Plesk Panel 9.0.0 update1 (release) to Parallels Plesk Panel 9.0.0 update2 (package psa-hotfix4-9.0.0) mail message headers have incorrect structure.


Package psa-mail-driver-common is not upgraded and so the old version of binary file $PRODUCT_ROOT_D/handlers/hooks/spf is used for messages processing.


You should upgrade package psa-mail-driver-common manually to resolve the problem.
Package for Parallels Plesk Panel 9.0.0 update 2 is psa-mail-driver-common-9.0.0-OS.build90081222.11. The packages is located in /opt/maildrivers of Parallels Plesk Panel 9.0.0 distributive.
You may download the package appropriate for your operating system and architecture from the autoinstaller website

For example for CentOS 5, 32-bin the package is located in

Download the package and install it with rpm -Uvh (for RedHat family) or with deb -i (for Debian and Ubuntu).

4f57df935e9acf8d18830757d2346419 a914db3fdc7a53ddcfd1b2db8f5a1b9c 29d1e90fd304f01e6420fbe60f66f838 6ef0db7f1685482449634a455d77d3f4 56797cefb1efc9130f7c48a7d1db0f0c

Email subscription for changes to this article
Save as PDF